#define MY_DEBUG
#define MY_RADIO_RF24    

#include <MySensors.h>

#define OPEN 1
#define CLOSE 0
#define CHILD_ID_PORTE 0
#define CHILD_ID_LIGHT 1
#define LIGHT_SENSOR_ANALOG_PIN 0

MyMessage msgPorte(CHILD_ID_PORTE, V_TRIPPED);   //message porte
MyMessage msgLum(CHILD_ID_LIGHT, V_LIGHT_LEVEL);  //message 0xdcfgbhtnjy,k;ln igt

uint8_t value = OPEN;

void presentation()     // 
{
  sendSketchInfo("Simul 2capteurs ", "0.2");
  present(CHILD_ID_PORTE, S_DOOR);
  present(CHILD_ID_LIGHT, S_LIGHT_LEVEL);
}

void loop()
{
  value = value == OPEN ? CLOSE : OPEN;
  int cptLight=analogRead(LIGHT_SENSOR_ANALOG_PIN); 
  //Serial.println(cptLight);   // valeur maxi mesurée 760
  int16_t lightLevel = cptLight/7.6;  //en %
  send(msgPorte.setSensor(CHILD_ID_PORTE).set(value));
  send(msgLum.setSensor(CHILD_ID_LIGHT).set(lightLevel));
  sleep(5000);
}
