#define MY_DEBUG
#define MY_RADIO_RF24    

#include <MySensors.h>


#define OPEN 1
#define CLOSE 0
#define CHILD_ID_PORTE 0
#define CHILD_ID_MOTION 1
#define PIR_MOTION_SENSOR 7  // broche digital 7 to receive the signal from the module


MyMessage msgPorte(CHILD_ID_PORTE, V_TRIPPED);   //message porte
MyMessage msgmvt(CHILD_ID_MOTION, V_TRIPPED);  //message capteur de présence

uint8_t value = OPEN;
void before(){
   pinMode(PIR_MOTION_SENSOR, INPUT);
}
void presentation()     // 
{
 
  sendSketchInfo("Simul porte et mouvement ", "0.2");
  present(CHILD_ID_PORTE, S_DOOR);
  present(CHILD_ID_MOTION, S_MOTION);
}

void loop()
{
  value = value == OPEN ? CLOSE : OPEN;
  int cptmvt=digitalRead(PIR_MOTION_SENSOR);
  Serial.println(cptmvt);   // présence
  send(msgPorte.setSensor(CHILD_ID_PORTE).set(value));
  send(msgmvt.setSensor(CHILD_ID_MOTION).set(cptmvt));
  sleep(5000);
}
